Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::R12IntEval_sbs_A Class Reference

Class R12IntEval_sbs_A evaluates R12 intermediates for one-basis or the small-basis part of the two-basis MP2-R12 theory in standard approximations A and A'. More...

`#include <vxb_eval_sbs_a.h>`

Inheritance diagram for sc::R12IntEval_sbs_A:

[legend]
Collaboration diagram for sc::R12IntEval_sbs_A:

[legend]
List of all members.

## Public Methods

| R12IntEval_sbs_A (StateIn &)
| R12IntEval_sbs_A (Ref< R12IntEvalInfo > &)
| ~R12IntEval_sbs_A ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | obsolete ()
void | compute (RefSCMatrix &Vaa, RefSCMatrix &Xaa, RefSCMatrix &Baa, RefSCMatrix &Vab, RefSCMatrix &Xab, RefSCMatrix &Bab, RefSCVector &emp2_aa, RefSCVector &emp2_ab)
Ref< R12IntEvalInfo > | r12info () const

## Detailed Description

Class R12IntEval_sbs_A evaluates R12 intermediates for one-basis or the small-basis part of the two-basis MP2-R12 theory in standard approximations A and A'.

## Member Function Documentation

void sc::R12IntEval_sbs_A::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- vxb_eval_sbs_a.h